//go:build windows

package client

import (
	"fmt"
	"os"
)

func createSocketPair() ([2]int, error) {
	return [2]int{}, fmt.Errorf("socketpair not implemented on Windows")
}

func closeFDs(fds [2]int) {}

func fdToFile(fd int, name string) *os.File {
	return nil
}

func fixVHCIDevicePermissions(port int) {
	// Not applicable on Windows
}
